using System.IO;

/// <summary>
/// Summary description for Configuracao
/// </summary>
public static class Configuracao
{

    private static string caminhoExportacaoXML;
    private static string caminhoExportacaoPDF;
    private static string emailDuplicidadeDocumentoEletronico;
    
    public static string CaminhoExportacaoXML
    {
        get { return Configuracao.caminhoExportacaoXML; }
        set
        {
            if (!Directory.Exists(value))
            {
                Directory.CreateDirectory(value);
            }
            Configuracao.caminhoExportacaoXML = value; 
        }
    }
    public static string CaminhoExportacaoPDF
    {
        get { return Configuracao.caminhoExportacaoPDF; }
        set {
                if (!Directory.Exists(value))
                {
                    Directory.CreateDirectory(value);
                }
                Configuracao.caminhoExportacaoPDF = value;
            }
    }
    public static string EmailDuplicidadeDocumentoEletronico
    {
        get { return Configuracao.emailDuplicidadeDocumentoEletronico; }
        set { Configuracao.emailDuplicidadeDocumentoEletronico = value; }
    }
}
